const express = require("express");
const router = express.Router();
const mapasListagemController = require("../controllers/mapasListagemController");

// Route for getting all mapasListagem
router.get("/mapasListagem", mapasListagemController.getAllMapasListagem);

// Route for getting a specific user by ID
router.get("/mapasListagem/:id", mapasListagemController.getMapaListagemById);

// Route for creating a new user
router.post("/mapasListagem", mapasListagemController.createMapaListagem);

// Route for updating a user by ID
router.put("/mapasListagem/:id", mapasListagemController.updateMapaListagem);

// Route for deleting a user by ID
router.delete("/mapasListagem/:id", mapasListagemController.deleteMapaListagem);

module.exports = router;
